Package Details: chicken-coops 1.93-1

Git Clone URL: https://aur.archlinux.org/chicken-coops.git (read-only)
Package Base: chicken-coops
Description: An featureful object system
Upstream URL: http://chicken.wiki.br/eggref/4/coops
Licenses: BSD
Submitter: None
Maintainer: ryuslash (perlawk)
Last Packager: ryuslash
Votes: 0
Popularity: 0.000000
First Submitted: 2010-09-29 14:48
Last Updated: 2015-07-09 22:42

Sources (0)

Latest Comments

aaronp commented on 2015-01-09 23:21

Looks like you can do 'chicken-install -show-depends $package' for dependencies on other chicken packages, actually. In this case, coops depends on record-variants *and* matchable.

aaronp commented on 2015-01-09 21:04

Couple things:

1) Looks like this depends on chicken-record-variants. At least. I'm only checking chicken out, but it looks like there is no easy way to check dependencies except to build it and see if it fails? I'm not sure.

2) The latest version is 1.93

I've adopted a few chicken-egg packages, and I've used your PKGBUILDs as a template, but I've made one change. Instead of:

chicken-install -r $_pkgname

I use

chicken-install -r $_pkgname:$pkgver

which should install the version that will be reported by pacman. Is there a good way to check to see if chicken packages are out of date? All I've been doing so far is using `chicken-install -r` and looking for the version reported in $name.setup.